package com.ampiere.web.struts.form;

import org.apache.struts.action.ActionForm;
import java.io.Serializable;
import org.apache.struts.action.ActionMapping;
import javax.servlet.http.HttpServletRequest;
import java.util.ArrayList;

/**
 * Manual Shipment Selection.
 * @author Almas:SiqinBilige
 */
public class GenerateShipmentFromOrderForm extends ActionForm implements Serializable {

    /** Serial Version UID. */
    private static final long serialVersionUID = -6359354408689322851L;

    /** Ware House. */
    private int wareHouseId;

    /** Business Partner ID. */
    private int businessPartnerId;

    /** Business Partner Name. */
    private String businessPartnerName;

    /** Order ID List. */
    private int [] orderIdList;

    /** Changed Column. */
    private String changedColumn;

    /** Main Window Title. */
    private String mainWindowTitle;

    /** Page Title. */
    private String pageTitle;

    /** Ware House Label. */
    private String wareHouseLabel;

    /** Business Partner Label. */
    private String businessPartnerLabel;

    /** Ware House List. */
    private ArrayList wareHouseList;

    /** Order List. */
    private ArrayList orderList;

    /** Cancel Button Label. */
    private String cancelButtonLabel;

    /** Generate Button Labe. */
    private String generateButtonLabel;

    /** Generate Selection Message. */
    private String generaSelectMessage;

    /** Result Information. */
    private String resultInfo;


    /**
     * Get Ware House.
     * @return Ware House
     */
    public final int getWareHouseId() {
        return this.wareHouseId;
    }

    /**
     * Set Ware House.
     * @param wareHouseIdP Ware House
     */
    public final void setWareHouseId(final int wareHouseIdP) {
        this.wareHouseId = wareHouseIdP;
    }

    /**
     * Get Business Partner ID.
     * @return Business Partner ID
     */
    public final int getBusinessPartnerId() {
        return this.businessPartnerId;
    }

    /**
     * Set Business Partner ID.
     * @param businessPartnerIdP Business Partner ID
     */
    public final void setBusinessPartnerId(final int businessPartnerIdP) {
        this.businessPartnerId = businessPartnerIdP;
    }

    /**
     * Get Business Partner Name.
     * @return Business Partner Name
     */
    public final String getBusinessPartnerName() {
        return this.businessPartnerName;
    }

    /**
     * Set Business Partner Name.
     * @param businessPartnerNameP Business Partner Name
     */
    public final void setBusinessPartnerName(final String businessPartnerNameP) {
        this.businessPartnerName = businessPartnerNameP;
    }

    /**
     * Get Order ID List.
     * @return Order ID List
     */
    public final int [] getOrderIdList() {
        return this.orderIdList;
    }

    /**
     * Set Order ID List.
     * @param orderIdListP Order ID List
     */
    public final void setOrderIdList(final int [] orderIdListP) {
        this.orderIdList = orderIdListP;
    }

    /**
     * Get Changed Column.
     * @return Changed Column
     */
    public final String getChangedColumn() {
        return this.changedColumn;
    }

    /**
     * Set Changed Column.
     * @param changedColumnP Changed Column
     */
    public final void setChangedColumn(final String changedColumnP) {
        this.changedColumn = changedColumnP;
    }

    /**
     * Get Main Window Title.
     * @return Main Window Title
     */
    public final String getMainWindowTitle() {
        return this.mainWindowTitle;
    }

    /**
     * Set Main Window Title.
     * @param mainWindowTitleP Main Window Title
     */
    public final void setMainWindowTitle(final String mainWindowTitleP) {
        this.mainWindowTitle = mainWindowTitleP;
    }

    /**
     * Get Page Title.
     * @return Page Title
     */
    public final String getPageTitle() {
        return this.pageTitle;
    }

    /**
     * Set Page Title.
     * @param pageTitleP Page Title
     */
    public final void setPageTitle(final String pageTitleP) {
        this.pageTitle = pageTitleP;
    }

    /**
     * Get Ware House Label.
     * @return Ware House Label
     */
    public final String getWareHouseLabel() {
        return this.wareHouseLabel;
    }

    /**
     * Set Ware House Label.
     * @param wareHouseLabelP Ware House Label
     */
    public final void setWareHouseLabel(final String wareHouseLabelP) {
        this.wareHouseLabel = wareHouseLabelP;
    }

    /**
     * Get Business Partner Label.
     * @return Business Partner Label
     */
    public final String getBusinessPartnerLabel() {
        return this.businessPartnerLabel;
    }

    /**
     * Set Business Partner Label.
     * @param businessPartnerLabelP Business Partner Label
     */
    public final void setBusinessPartnerLabel(final String businessPartnerLabelP) {
        this.businessPartnerLabel = businessPartnerLabelP;
    }

    /**
     * Get Ware House List.
     * @return Ware House List
     */
    public final ArrayList getWareHouseList() {
        return this.wareHouseList;
    }

    /**
     * Set Ware House List.
     * @param wareHouseListP Ware House List
     */
    public final void setWareHouseList(final ArrayList wareHouseListP) {
        this.wareHouseList = wareHouseListP;
    }

    /**
     * Get Order List.
     * @return Order List
     */
    public final ArrayList getOrderList() {
        return this.orderList;
    }

    /**
     * Set Order List.
     * @param orderListP Order List
     */
    public final void setOrderList(final ArrayList orderListP) {
        this.orderList = orderListP;
    }

    /**
     * Get Cancel Button Label.
     * @return Cancel Button Label
     */
    public final String getCancelButtonLabel() {
        return this.cancelButtonLabel;
    }

    /**
     * Set Cancel Button Label.
     * @param cancelButtonLabelP Cancel Button Label
     */
    public final void setCancelButtonLabel(final String cancelButtonLabelP) {
        this.cancelButtonLabel = cancelButtonLabelP;
    }

    /**
     * Get Generate Button Labe.
     * @return Generate Button Labe
     */
    public final String getGenerateButtonLabel() {
        return this.generateButtonLabel;
    }

    /**
     * Set Generate Button Labe.
     * @param generateButtonLabelP Generate Button Labe
     */
    public final void setGenerateButtonLabel(final String generateButtonLabelP) {
        this.generateButtonLabel = generateButtonLabelP;
    }

    /**
     * Get Generate Selection Message.
     * @return Generate Selection Message
     */
    public final String getGeneraSelectMessage() {
        return this.generaSelectMessage;
    }

    /**
     * Set Generate Selection Message.
     * @param generaSelectMessageP Generate Selection Message
     */
    public final void setGeneraSelectMessage(final String generaSelectMessageP) {
        this.generaSelectMessage = generaSelectMessageP;
    }

    /**
     * Get Result Information.
     * @return Result Information
     */
    public final String getResultInfo() {
        return this.resultInfo;
    }

    /**
     * Set Result Information.
     * @param resultInfoP Result Information
     */
    public final void setResultInfo(final String resultInfoP) {
        this.resultInfo = resultInfoP;
    }

    /**
     * Reset Method.
     * @param mapping mapping
     * @param request request
     */
    public final void reset(final ActionMapping mapping, final HttpServletRequest request) {
        //TODO Insert code here.
    }

}
